Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 559062 - Xorg stabilization for November 2015
Summary: Xorg stabilization for November 2015
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 549564 552780 554606 559758 560970 561850 567324 568020
Blocks: CVE-2015-3164 gnome-3.18-stable 579266 584468
  Show dependency tree
 
Reported: 2015-08-29 02:21 UTC by Matt Turner
Modified: 2016-11-14 19:07 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
xorg-stable (xorg-stable,561 bytes, text/plain)
2015-08-29 02:21 UTC, Matt Turner
Details
x11-stable.list v1 (x11-stable.list,7.98 KB, text/plain)
2015-10-26 18:33 UTC, Chí-Thanh Christopher Nguyễn
Details
x11-stable.list v2 (x11-stable.list v2,7.89 KB, text/plain)
2015-10-27 19:23 UTC, Matt Turner
Details
x11-stable.list v3 (x11-stable.list,8.07 KB, text/plain)
2015-10-29 14:42 UTC, Chí-Thanh Christopher Nguyễn
Details
x11-stable.list v4 (attachment.cgi?id=415706,8.07 KB, text/plain)
2015-11-24 22:18 UTC, Matt Turner
Details
x11-stable.list v5 (attachment.cgi?id=417786,7.98 KB, text/plain)
2015-11-26 19:40 UTC, Matt Turner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Turner gentoo-dev 2015-08-29 02:21:18 UTC
Created attachment 410550 [details]
xorg-stable

I'd like to stabilize these packages, but I cannot get gen_archlist.py to give me something that looks correct. Maybe someone else can and will replace the attached file and Cc architecture teams?
Comment 1 Chí-Thanh Christopher Nguyễn gentoo-dev 2015-10-26 18:33:42 UTC
Created attachment 415534 [details]
x11-stable.list v1

To generate the keywords list for your arch, run
# awk '/YOURARCHHERE/ {print "="$1}' x11_stable.list > x11_stable.keywords
Comment 2 Matt Turner gentoo-dev 2015-10-27 19:23:09 UTC
Created attachment 415598 [details]
x11-stable.list v2

Removed xproto-7.0.28 from the stabilization list. It breaks xorg-server and there's no upstream fix yet. I've package.mask'd it.
Comment 3 Chí-Thanh Christopher Nguyễn gentoo-dev 2015-10-29 14:42:57 UTC
Created attachment 415706 [details]
x11-stable.list v3

Changes:
* re-add xproto-7.0.28 now that fixed xorg-server versions have been committed
* change xorg-server stabilization targets to those that work with xproto-7.0.28
* remove xman-1.1.4 whose stabilization is handled in bug 560532
* add arm-only drivers that gen-archlist.py missed
Comment 4 Matt Turner gentoo-dev 2015-11-24 22:18:37 UTC
Created attachment 417786 [details]
x11-stable.list v4

Only change is mesa-11.0.4 -> mesa-11.0.6.
Comment 5 Matt Turner gentoo-dev 2015-11-24 22:18:55 UTC
Please proceed.
Comment 6 Agostino Sarubbo gentoo-dev 2015-11-26 09:18:26 UTC
we can't skip llvm stabilization.

  dependency.bad [fatal]        28
   dev-libs/libclc/libclc-0.2.0_pre20151006.ebuild: DEPEND: amd64(default/linux/amd64/13.0)
['>=sys-devel/clang-3.7', '>=sys-devel/llvm-3.7']
Comment 7 Matt Turner gentoo-dev 2015-11-26 19:40:15 UTC
Created attachment 417966 [details]
x11-stable.list v5

(In reply to Agostino Sarubbo from comment #6)
> we can't skip llvm stabilization.
> 
>   dependency.bad [fatal]        28
>    dev-libs/libclc/libclc-0.2.0_pre20151006.ebuild: DEPEND:
> amd64(default/linux/amd64/13.0)
> ['>=sys-devel/clang-3.7', '>=sys-devel/llvm-3.7']

Ugh. That indeed should be tied to llvm-3.7 stabilization. Let's skip it for now. Dropped from the list.
Comment 8 Jeroen Roovers gentoo-dev 2015-11-30 04:59:40 UTC
=net-misc/tigervnc-1.4.2-r2 appears to be required for =x11-base/xorg-server-1.17*
Comment 9 Mike Limansky 2015-11-30 07:16:10 UTC
(In reply to Matt Turner from comment #7)
> Created attachment 417966 [details]
> x11-stable.list v5
> 
> (In reply to Agostino Sarubbo from comment #6)
> > we can't skip llvm stabilization.
> > 
> >   dependency.bad [fatal]        28
> >    dev-libs/libclc/libclc-0.2.0_pre20151006.ebuild: DEPEND:
> > amd64(default/linux/amd64/13.0)
> > ['>=sys-devel/clang-3.7', '>=sys-devel/llvm-3.7']
> 
> Ugh. That indeed should be tied to llvm-3.7 stabilization. Let's skip it for
> now. Dropped from the list.

I've tested this list on amd64 with Intel video. Everything is working fine.
Comment 10 Agostino Sarubbo gentoo-dev 2015-11-30 11:51:59 UTC
amd64 stable
Comment 11 Agostino Sarubbo gentoo-dev 2015-12-01 10:17:16 UTC
x86 stable
Comment 12 Agostino Sarubbo gentoo-dev 2015-12-02 11:16:48 UTC
ppc stable
Comment 13 Jeroen Roovers gentoo-dev 2015-12-18 14:54:53 UTC
(In reply to Agostino Sarubbo from comment #12)
> ppc stable

Absolutely no testing went into that, or you would have noticed that stable tigervnc can't be installed, and you would then have upgraded to the newest version which doesn't block the xorg-server version going stable and then you would have hit bug #567568.
Comment 14 Markus Meier gentoo-dev 2015-12-19 21:59:59 UTC
arm stable
Comment 15 Jeroen Roovers gentoo-dev 2016-01-09 14:37:35 UTC
Stable for HPPA PPC64.
Comment 16 Tobias Klausmann gentoo-dev 2016-05-23 14:23:02 UTC
No can do for Alpha:

RepoMan scours the neighborhood...
  KEYWORDS.dropped              1
   dev-libs/weston/weston-1.10.0.ebuild: alpha
  dependency.bad [fatal]        28
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/gnome)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop/gnome)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/gnome)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop/gnome)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/gnome/systemd)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop/gnome/systemd)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/gnome/systemd)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop/gnome/systemd)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/kde)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop/kde)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/kde)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop/kde)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/kde/systemd)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop/kde/systemd)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop/kde/systemd)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop/kde/systemd)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/developer)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/developer)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: DEPEND: alpha(default/linux/alpha/13.0/developer)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
   dev-libs/weston/weston-1.9.0.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/developer)
['media-libs/mesa[gles2,wayland]', 'x11-base/xorg-server[wayland]']
  dependency.missingslot        3
   dev-libs/weston/weston-1.6.1.ebuild: RDEPEND: 'virtual/jpeg' matches more than one slot, please specify an explicit slot and/or use the := or :* slot operator
   dev-libs/weston/weston-1.7.0.ebuild: RDEPEND: 'virtual/jpeg' matches more than one slot, please specify an explicit slot and/or use the := or :* slot operator
   dev-libs/weston/weston-1.8.0.ebuild: RDEPEND: 'virtual/jpeg' matches more than one slot, please specify an explicit slot and/or use the := or :* slot operator
  ebuild.badheader              1
   dev-libs/weston/weston-1.9.0.ebuild: Invalid Gentoo Copyright on line: 1
Comment 17 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-05-29 17:34:22 UTC
alpha: I removed the wayland mask from your profile, should be good now.
Comment 18 Tobias Klausmann gentoo-dev 2016-06-02 17:14:27 UTC
Stable on alpha.
Comment 19 Agostino Sarubbo gentoo-dev 2016-11-12 11:52:33 UTC
sparc stable
Comment 20 Agostino Sarubbo gentoo-dev 2016-11-13 09:17:15 UTC
ia64 stable
Comment 21 Matt Turner gentoo-dev 2016-11-14 19:07:28 UTC
sparc and ia64 seem to have been the last architectures.